Skip to main content
GET
/
b2b
/
reports
/
settlement
List Settlement Reports
curl --request GET \
  --url https://nexus.kraken.com/b2b/reports/settlement \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "reports": [
      {
        "id": "<string>",
        "date": "2023-12-25",
        "type": "trades",
        "size": 123,
        "name": "<string>"
      }
    ],
    "links": {
      "self": "<string>",
      "first": "<string>",
      "last": "<string>",
      "prev": "<string>",
      "next": "<string>"
    },
    "meta": {
      "total_items": 1,
      "total_pages": 1,
      "page_size": 1,
      "page_number": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

filter[start_date]
string<date-time> | null

The inclusive start date for filtering settlement reports. Use in combination with filter[end_date] to specify a date range. Format: RFC 3339 datetime.

Example:

"2025-06-30T00:00:00.000Z"

filter[end_date]
string<date-time> | null

The inclusive end date for filtering settlement reports. Use in combination with filter[start_date] to specify a date range. Format: RFC 3339 datetime.

Example:

"2025-07-01T00:00:00.000Z"

filter[report_type][]
enum<string>[]

Filters the returned reports by one or more report types. If omitted, all report types are included.

Available options:
trades,
transfers,
earn_rewards
page[size]
integer<uint32>
default:20

The maximum number of reports to return per page. Must be between 1 and 100.

Required range: 1 <= x <= 100
page[number]
integer<uint32>
default:1

The page of results to retrieve. Must be 1 or greater.

Required range: x >= 1

Response

Successful response containing a list of settlement reports and pagination details.

result
object